Bug 493997 - system-config-cluster parses glade widget values incorrectly
system-config-cluster parses glade widget values incorrectly
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On: 493996
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 12:19 EDT by Shane Bradley
Modified: 2016-04-26 09:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: system-config-cluster-1.0.56-6.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 493996
Environment:
Last Closed: 2011-02-16 11:13:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shane Bradley 2009-04-03 12:19:13 EDT
+++ This bug was initially created as a clone of Bug #493996 +++

User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.8) Gecko/2009032608 Firefox/3.0.8

When using system-config-cluster the postgres and tomcat resource will not correctly assign the values from the resources widget to the associated cluster.conf field.

It appears that the ResourceHandler.py process_widgets function is pulling in the incorrect widgets entries for each of the corresponding member fields.

For example here is an incorrect cluster.conf resource that is created:

Name: testtomcat
Config File: /etc/tomcat5/tomcat5.conf
Tomcat User: tomcat
Catalina Options: -Dtest.test
Catalina Base: /usr/share/tomcat5
Shutdown Wait: 30

Resulting cluster.conf Fields seen:
 <tomcat-5 catalina_base="tomcat"
  catalina_options="/etc/tomcat5/tomcat5.conf"
  config_file="testtomcat"
  name="/usr/share/tomcat5"
  shutdown_wait="30"
  tomcat_user="-Dtest.test"/>


Reproducible: Always

Steps to Reproduce:
1.Create a tomcat and postgresql resource
2.Save the the configuration
3.Review the cluster.conf created
Actual Results:  
Some of the values are associated with incorrect fields.

Expected Results:  
The glade options should be associated with correct cluster.conf field.

Patch has been created and will be attached to the bz.

--- Additional comment from sbradley@redhat.com on 2009-04-03 12:17:30 EDT ---

Created an attachment (id=338080)
patch to fix tomcat/postgres
Comment 1 Chris Feist 2009-07-29 13:06:09 EDT
Pulling 4.8.z flag as this won't be fixed until 4.9 at the earliest.
Comment 6 errata-xmlrpc 2011-02-16 11:13:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0267.html

Note You need to log in before you can comment on or make changes to this bug.